POST api/CosEccSummary/PostExamNote
Request Information
URI Parameters
None.
Body Parameters
ExamNoteDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CaseNumber | integer |
None. |
|
| MedicalSequence | integer |
None. |
|
| NoteType | integer |
None. |
|
| NoteText | string |
String length: inclusive between 0 and 4000 |
|
| CompanyCode | string |
String length: inclusive between 0 and 20 |
|
| insertUserName | string |
String length: inclusive between 0 and 61 |
|
| RelativeDateTime | string |
String length: inclusive between 0 and 50 |
|
| EncounterId | integer |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"CaseNumber": 2,
"MedicalSequence": 3,
"NoteType": 4,
"NoteText": "sample string 5",
"CompanyCode": "sample string 6",
"insertUserName": "sample string 7",
"RelativeDateTime": "sample string 8",
"EncounterId": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:48.3060583-07:00",
"DateUpdated": "2026-08-04T14:25:48.3060583-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfExamNoteDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | ExamNoteDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"CaseNumber": 2,
"MedicalSequence": 3,
"NoteType": 4,
"NoteText": "sample string 5",
"CompanyCode": "sample string 6",
"insertUserName": "sample string 7",
"RelativeDateTime": "sample string 8",
"EncounterId": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:48.3162597-07:00",
"DateUpdated": "2026-08-04T14:25:48.3162597-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13
},
"totalCount": 3
}